package com.kmall.api.entity.mk;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店活动访客记录实体
 * 表名 mk_store_topic_visitors
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
public class MkStoreTopicVisitorsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 门店活动访客id
     */
    private Integer topicVisitorsId;
    /**
     * 活动id
     */
    private Integer storeTopicId;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：门店活动访客id
     */
    public void setTopicVisitorsId(Integer topicVisitorsId) {
        this.topicVisitorsId = topicVisitorsId;
    }

    /**
     * 获取：门店活动访客id
     */
    public Integer getTopicVisitorsId() {
        return topicVisitorsId;
    }
    /**
     * 设置：活动id
     */
    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    /**
     * 获取：活动id
     */
    public Integer getStoreTopicId() {
        return storeTopicId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
